/**
 * Pas unique identifier
 */
declare type PUID = string;
/**
 * Pas — it's one step in your time jorney
 *
 */
declare class Pas {
    /** unique identifier (ULID)*/
    id: PUID;
    /** aroma of Pas, a kind of typing */
    odor: string;
    /** head of Pas */
    head: string;
    /** body of Pas */
    body: string;
    /** link to User of Pas */
    user: PUID;
    /** link to area of Pas */
    area: PUID;
    /** link to Pas-container */
    pack: PUID;
    /** locator of Pas, used in URL, for example */
    slug: string;
    /** aim of Pas to date, in format YYYY-MM-DD */
    date: string;
    /** aim of Pas to time, in format HH:MM */
    time: string;
    /** aim of Pas to duration, as integer number of minutes */
    term: string;
    /** aim of Pas to tier, in format !!!, !!, ! */
    tier: string;
    /** aim of Pas to done, in 0..100 */
    done: string;
    /** any other data */
    data: any;
    /**
     * Create Pas, fill properties from initial_data
     * @param initial_data
     */
    constructor(initial_data?: any);
    /**
     * Assign Pas from any data object
     */
    assignFrom(data: any): void;
}
export { Pas };
export type { PUID };
