"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Pas = void 0;
//import { ulid } from '../deps.ts'
const ulid_1 = require("ulid");
/**
 * Pas — it's one step in your time jorney
 *
 */
class Pas {
    /**
     * Create Pas, fill properties from initial_data
     * @param initial_data
     */
    constructor(initial_data = {}) {
        this.id = initial_data.id || (0, ulid_1.ulid)().toLowerCase();
        this.odor = initial_data.odor || '';
        this.head = initial_data.head || '';
        this.body = initial_data.body || '';
        this.user = initial_data.user || '';
        this.area = initial_data.area || '';
        this.pack = initial_data.pack || '';
        this.slug = initial_data.slug || '';
        this.date = initial_data.date || '';
        this.time = initial_data.time || '';
        this.term = initial_data.term || '';
        this.tier = initial_data.tier || '';
        this.done = initial_data.done || '';
        this.data = initial_data.data || {};
    }
    /**
     * Assign Pas from any data object
     */
    assignFrom(data) {
        this.id = data.id || this.id;
        this.odor = data.odor || this.odor;
        this.head = data.head || this.head;
        this.body = data.body || this.body;
        this.user = data.user || this.user;
        this.area = data.area || this.area;
        this.pack = data.pack || this.pack;
        this.slug = data.slug || this.slug;
        this.date = data.date || this.date;
        this.time = data.time || this.time;
        this.term = data.term || this.term;
        this.tier = data.tier || this.tier;
        this.done = data.done || this.done;
        this.data = data.data || this.data;
    }
}
exports.Pas = Pas;
